Delete a repository's tag by name
DELETE
/repos/{owner}/{repo}/tags/{tag}
const url = 'https://gitea.example.com/api/v1/repos/example/example/tags/example';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://gitea.example.com/api/v1/repos/example/example/tags/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
tag
required
string
Name of tag to delete
Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APINotFound is a not found empty response
Media typeapplication/json
APIEmpty is an empty response
Media typeapplication/json
APIConflict is a conflict empty response
Media typeapplication/json